@props([
    'firstOfType'=> false,
    'lastOfType'=> false,
    'width' => '12',
    'width_sm' => '6',
    'width_md' => '4',
    'width_lg' => '3'
])

@if ($firstOfType?? false)
<ul role="list" class="flex grid grid-cols-12 pb-10 gap-x-8 gap-y-16">
    @endif
    <li class="relative flex flex-col items-start  space-y-3 {{ spanClasses($width, $width_sm, $width_md, $width_lg) }} rounded-lg bg-white shadow">
        <div class="group overflow-hidden rounded-lg shadow-sm ">

            <img src="/imgs/poster{{ Storage::url($asset->path) }}"
                 alt="{{$asset->description}}"
                 title="{{$asset->title}}"
                 class="hidden lg:block w-full object-cover group-hover:opacity-75 rounded-lg {{$classes ?? ''}}"
                 style="max-height: 40vh"
            />
            <img src="/imgs/square{{ Storage::url($assetmobile->path) }}"
                 alt="{{$assetmobile->description}} "
                 title="{{$assetmobile->title}}"
                 class="block lg:hidden w-full object-cover group-hover:opacity-75 rounded-lg {{$classes ?? ''}}"

            />
        </div>
        <div class="pointer-events-none mt-2 block text-sm font-medium text-gray-900 p-4 w-full">
            @if ($title)
                <h4 class="h4 mt-0">{{$title}}</h4>
            @endif
            <div class="clamp-3">
                {!! $content !!}
            </div>
        </div>
    </li>

@if ($lastOfType?? false)</ul>@endif
